import React from 'react';
import './navbar.less';

/**\

    title: Navbar
    category: component
    description: A header for generic pages and dashboards
    props:
        fixed[Boolean]: Fixes the navbar to the top of the page

\**/

class Navbar extends React.Component {
    render() {
        let classer = 'navbar';

        if (this.props.fixed) {
            classer += ' fixed';
        }

        return (
            <nav className={ classer }>
                <div className="container">
                    { this.props.children }
                </div>
            </nav>
        );
    }
}

export default Navbar;
